# The "test" job will run the following tests:
#
# Terraform's "fmt" utility does not request any changes (i.e. a code lint)
test:
  image: docker:stable-git

  services:
    - docker:stable-dind

  script:
    # Run terraform's format checker.
    - docker run -v $(pwd):/deploy --rm hashicorp/terraform:light fmt -check -diff /deploy
